Productsup
API referenceV2Export template

Get JSON schema for export template

Returns the complete JSON schema for an export template including all fields with their validations converted from Analyzer Tests V2 into standard JSON Schema validation keywords (minLength, maxLength, pattern, minimum, maximum, etc.). This schema can be used for validation in both the current platform and NextGen.

GET
/V2/export-templates/{id}/schema

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*integer

Export template id.

Response Body

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V2/export-templates/0/schema"
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "title": "Google Merchant Center",
  "properties": {
    "property1": {
      "type": "string",
      "title": "Product ID",
      "description": "Unique product identifier",
      "examples": [
        "string"
      ],
      "format": "decimal",
      "minLength": 1,
      "maxLength": 100,
      "pattern": "^[A-Z0-9]+$",
      "minimum": 0,
      "maximum": 999999
    },
    "property2": {
      "type": "string",
      "title": "Product ID",
      "description": "Unique product identifier",
      "examples": [
        "string"
      ],
      "format": "decimal",
      "minLength": 1,
      "maxLength": 100,
      "pattern": "^[A-Z0-9]+$",
      "minimum": 0,
      "maximum": 999999
    }
  },
  "required": [
    "product_id",
    "price"
  ]
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export with id 123 not found."
  }
}

How is this guide?